<?php
    /*
    * Plugin Name: Eve: Pheal API
    * Plugin URI: http://www.avioni.org
    * Version: 0.2
    * Author: Tumeski / Meritsa
    * Description: Eve Online API plugin. Call class PhealEveApi wherever needed.   
    *
    *  Copyright 2013  Tumeski / Meritsa  (email : tumeski@gmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
    */
    class PhealEveApi
    {
        public function QueryAPI($keyID, $vCode, $scope="account") {
            if($keyID != "" && $vCode != "") {
                require_once "phealclass/Pheal.php";
                spl_autoload_register("Pheal::classload");
                $pluginPath = dirname(__FILE__);
                PhealConfig::getInstance()->api_base = 'https://api.eveonline.com/';
                PhealConfig::getInstance()->cache = new PhealFileCache($pluginPath."/cache/");
                PhealConfig::getInstance()->log = new PhealFileLog($pluginPath."/logs/");
                PhealConfig::getInstance()->api_customkeys = true;
                PhealConfig::getInstance()->access = new PhealCheckAccess();

                $pheal = new Pheal($keyID, $vCode, $scope);    

                try {
                    $access = $pheal->detectAccess();
                } catch(PhealAccessException $e) {
                    echo "access error: ".$e->getMessage();
                } catch(PhealAPIException $e) {
                    echo 'message: ' . $e->getMessage();
                } catch(PhealConnectionException $e) {
                    echo 'message: ' . $e->getMessage();
                } catch(PhealException $e) {
                    echo 'message: ' . $e->getMessage();
                }
                return $pheal;                
            } else {
                return "Data input error. No values given.";
            }
        }
    }
?>